#!/bin/sh

fskcheck check

if [ $? != 1 ]; then
     fskcheck info "Bitte zuerst PIN Code freischalten ..."
     exit 1
fi

if [ "$1" = "protect" ]; then

   if [ -f $2/protection.fsk ]; then 
      fskcheck info "Aufzeichnung ist bereits geschtzt ..."
      exit 1
   fi

   touch $2/protection.fsk
   fskcheck info "Die Aufzeichnung wurde geschtzt ..."

fi

if [ "$1" = "unprotect" ]; then

   if [ ! -f $2/protection.fsk ]; then
      fskcheck info "Schutz der Aufzeichnung entfernt ..."
      exit 1
   fi

   rm -f $2/protection.fsk
   fskcheck info "Entferne Schutz der Aufzeichnung ..."

fi

exit 0

