#!/bin/sh
#
# prepares quick shutdown when ReelVDR is going to standby

. /etc/reel/platform/*.inc

# definitions used in functions
STANDBY_LED=1
REMOTE_LED=2
RECORD_LED=4
POWER_LED=8
ALL_LED=15

NOCLOCK=0
CLOCK=1


#set -x
case $1 in
	""|start)
		$REELFPCTL -clearlcd
		$REELFPCTL -setclock -brightness 8 -displaymode $CLOCK
		$REELFPCTL -clearled $POWER_LED
		$REELFPCTL -setled $STANDBY_LED
		/etc/init.d/fpleds standby
		$HDCONTROL -v off	# video off
		$HDCONTROL -V 0	# mute
		;;
	end)
		$HDCONTROL -o DVI	# video on
		#SystemExec("/sbin/reelfpctl -toptext \"\" -displaymode 0");
		$REELFPCTL -setclock -brightness 8 -displaymode $NOCLOCK
		$REELFPCTL -clearled $(($POWER_LED+$STANDBY_LED))
		$FPLEDS
		;;
	*)
		;;
esac
